<%--
 * Component: cases
 *
 * Description:
 *    Download user profile for the viewer.
 *
--%><%@page import="imagemed.util.Helper,
		com.erad.pacs.connector.Connector,
		com.erad.pacs.services.usermanager.client.Session,
		com.erad.pacs.services.usermanager.client.interfaces.UserManagerFacade,
		com.erad.pacs.toolbox.UserRequestResponseToolbox,
		com.erad.pacs.viewer.XmlRoutines,
		com.erad.pacs.toolbox.ChecksumToolbox"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	String strProfileData = "";
		 
	UserManagerFacade userManager = Connector.getInstance().get( UserManagerFacade.Caller );
	Session sess = UserRequestResponseToolbox.getSessitaSessionNoSessParCheck( request, response );
		 
	Helper.DEBUG( "viewerVersion:" + request.getHeader( "ViewerVersion" ) );
	
	strProfileData += XmlRoutines.getXml( sess, request.getHeader( "ViewerVersion" ) );

	response.addHeader( "Content-Type", "text/xml;charset=utf-8" );
// we don't set, because:
// this way it's not correct
// the getBytes() way is inefficient
//	response.setHeader( "Content-length", Long.toString( strProfileData.length() ) );
	response.setHeader( "Pragma", "no-cache" );

	// add viewer profile checksum information SRV-1237
	String checksumHexString = ChecksumToolbox.createChecksumHexString( strProfileData );
	response.setHeader( "ViewerProfileChecksum", checksumHexString );

	out.print( strProfileData );

	if ( true ) {
		// For avoiding extra newline(s)
		return;
	}
%>